package com.zhiqiyun.open.router.request.bz;

import com.dliyun.oap.framework.annotation.ServiceParamField;
import com.dliyun.oap.framework.request.AbstractOapRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class SceneryInfoRequest extends AbstractOapRequest {
    @ServiceParamField(describe = "当前页")
    private Integer current;
    @ServiceParamField(describe = "每页条数")
    private Integer size;
    @ServiceParamField(describe = "关键词搜索")
    private String keyword;

    public Integer getCurrent() {
        if (this.current == null || this.current < 1) {
            return 1;
        }
        return this.current;
    }

    public Integer getSize() {
        if (this.size == null || this.size < 1) {
            return 1;
        }
        return this.size;
    }
}
